## org.apache.cassandra.cql
Class Operation

    java.lang.Object
      org.apache.cassandra.cql.Operation

    public class Operation

extends java.lang.Object

Nested Class Summary
`static class` `Operation.OperationType`

Field Summary
`Term` `a`
`Term` `b`
`Operation.OperationType` `type`

Constructor Summary
`Operation(Term a)`
`Operation(Term a, Operation.OperationType type, Term b)`

Method Summary
`boolean` `isUnary()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public final Operation.OperationType type

### a

    public final Term a

### b

    public final Term b

Constructor Detail

### Operation

    public Operation(Term a)

### Operation

    public Operation(Term a,
                     Operation.OperationType type,
                     Term b)

Method Detail

### isUnary

    public boolean isUnary()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2012 The Apache Software Foundation